Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogicx.jsp.tags.validators
Class ValidatableAdapter

    java.lang.Object
      |
      +--weblogicx.jsp.tags.validators.ValidatableAdapter

Direct Known Subclasses:
  ValidatableTagAdapter

public abstract class ValidatableAdapter
extends java.lang.Object
implements Validatable, java.io.Serializable

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `errorMessage`
`protected java.lang.String` | `fieldToValidate`
`protected boolean` | `isValid`

Constructor Summary
`ValidatableAdapter()`

Method Summary
`Validatable` | `decodeHiddenField(java.lang.String stToDecode)`
`java.util.Hashtable` | `defaultDecodeHiddenField(java.lang.String value)`
`java.lang.String` | `defaultWriteHiddenField(java.util.Hashtable ht)`
`java.lang.String` | `getErrorMessage()`
`java.lang.String` | `getFieldToValidate()`
`boolean` | `isValid()`
`void` | `setErrorMessage(java.lang.String error)`
`void` | `setFieldToValidate(java.lang.String f)`
`void` | `setIsValid(boolean bo)`
`abstract boolean` | `validate(javax.servlet.ServletRequest request)` abstract class to be implemented
`java.lang.String` | `writeHiddenField()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fieldToValidate

    protected java.lang.String fieldToValidate

### errorMessage

    protected java.lang.String errorMessage

### isValid

    protected boolean isValid

Constructor Detail

### ValidatableAdapter

    public ValidatableAdapter()

Method Detail

### isValid

    public boolean isValid()

  Specified by:
    isValid in interface Validatable

### setIsValid

    public void setIsValid(boolean bo)

  Specified by:
    setIsValid in interface Validatable

### getErrorMessage

    public java.lang.String getErrorMessage()

  Specified by:
    getErrorMessage in interface Validatable

### getFieldToValidate

    public java.lang.String getFieldToValidate()

  Specified by:
    getFieldToValidate in interface Validatable

### writeHiddenField

    public java.lang.String writeHiddenField()

  Specified by:
    writeHiddenField in interface Validatable

### decodeHiddenField

    public Validatable decodeHiddenField(java.lang.String stToDecode)
                                  throws java.lang.Exception

  Specified by:
    decodeHiddenField in interface Validatable

### validate

    public abstract boolean validate(javax.servlet.ServletRequest request)
                              throws java.lang.Exception

  abstract class to be implemented
  Specified by:
    validate in interface Validatable

### setFieldToValidate

    public void setFieldToValidate(java.lang.String f)

### setErrorMessage

    public void setErrorMessage(java.lang.String error)

### defaultWriteHiddenField

    public java.lang.String defaultWriteHiddenField(java.util.Hashtable ht)

  Parameters:
    `ht` - containing all the names and values other than errorMessage and fieldToValidate.

### defaultDecodeHiddenField

    public java.util.Hashtable defaultDecodeHiddenField(java.lang.String value)

  Parameters:
    `the` - string containing the encoded hidden field
  Returns:
    hashtable containing the name value pairs from the hidden field values. example name: fieldToValidate value: username name: foo value: bar

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD